package cn.superdesk.uniorder.dao.mapper.accounting.unified.operator;

import cn.superdesk.uniorder.dao.entity.accounting.unified.operator.AccountingUnifiedOperator;
import cn.superdesk.uniorder.dao.entity.accounting.unified.operator.AccountingUnifiedOperatorExample;
import cn.superdesk.uniorder.dao.entity.accounting.unified.operator.AccountingUnifiedOperatorWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedOperatorMapper {
    long countByExample(AccountingUnifiedOperatorExample example);

    int deleteByExample(AccountingUnifiedOperatorExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedOperatorWithBLOBs record);

    int insertSelective(AccountingUnifiedOperatorWithBLOBs record);

    List<AccountingUnifiedOperatorWithBLOBs> selectByExampleWithBLOBs(AccountingUnifiedOperatorExample example);

    List<AccountingUnifiedOperator> selectByExample(AccountingUnifiedOperatorExample example);

    AccountingUnifiedOperatorWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedOperatorWithBLOBs record, @Param("example") AccountingUnifiedOperatorExample example);

    int updateByExampleWithBLOBs(@Param("record") AccountingUnifiedOperatorWithBLOBs record, @Param("example") AccountingUnifiedOperatorExample example);

    int updateByExample(@Param("record") AccountingUnifiedOperator record, @Param("example") AccountingUnifiedOperatorExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedOperatorWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(AccountingUnifiedOperatorWithBLOBs record);

    int updateByPrimaryKey(AccountingUnifiedOperator record);
}